kind: Cluster
apiVersion: kind.x-k8s.io/v1alpha4
nodes:
- role: control-plane

  # Ingress node tagging
  # https://kind.sigs.k8s.io/docs/user/ingress/
  kubeadmConfigPatches:
  - |
    kind: InitConfiguration
    nodeRegistration:
      kubeletExtraArgs:
        node-labels: "ingress-ready=true"
  extraMounts:
  # For developer to be able to edit
  - hostPath: {{ script_dir }}
    containerPath: /sources
  - hostPath: /tmp/cvmfs
    containerPath: /cvmfs

  extraPortMappings:
    # Expose the ingress port
  - containerPort: 80
    hostPort: 8000
    protocol: TCP
    # Expose the LbAPWeb port
  - containerPort: 32500
    hostPort: 3000
    protocol: TCP
    # Expose minio ports
  - containerPort: 32000
    hostPort: 32000
    protocol: TCP
  - containerPort: 32001
    hostPort: 32001
    protocol: TCP
    # Expose XRootD ports
  - containerPort: 32101
    hostPort: 32101
    protocol: TCP
  - containerPort: 32100
    hostPort: 32100
    protocol: TCP
